Bug 55888 - pine doesn't remove Delivered-To: header from bounced messages.
pine doesn't remove Delivered-To: header from bounced messages.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-08 07:44 EST by David Woodhouse
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-12 02:43:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2001-11-08 07:44:27 EST
Some MTAs have taken to adding a Delivered-To header to mail as it is
delivered, and using that header to perform primitive loop detection.

This means that when you receive a mail once, then redirect it to a list to
which you are subscribed, some MTA configurations will then object to the
fact that you're receiving a message which appears to have already been
delivered to you once, and will bounce the message.

It has been asserted that an MUA should be removing Delivered-To: headers
when redirecting a mail message, and that pine is at fault, not the MTA
which bounced the message. 

I disagree with this assertion, which was not backed up by any RFC reference.
But as we can easily work around this particular brokenness in pine,
perhaps we should?
Comment 1 Nigel Metheringham 2001-11-08 08:00:12 EST
Delivered-To: is a djb-ism.  Relying on it for mail system behaviour will 
all end in tears.  There may be a case for using it in mailing list loop 
detection and similar cases, however the MTA enforcing it on intermediate 
or final delivery is clearly wrong and not supportable by RFCs (other than 
you being able to make a fool of yourself on your own system).

MUAs should not be spending their time second guessing wierd MTA behaviour.
If this was an MS MTA that decided to bounce messages like this would we
still be seeking to fix the MUA?
Comment 2 Mike A. Harris 2001-11-12 05:45:07 EST
This is a bug in the MTA.  PINE is flawless.  No bugs.  No bugs I tell
you.  Please use memtest86 to be sure you do not have bad RAM.  If
that checks out ok, try going to http://www.zombo.com

Note You need to log in before you can comment on or make changes to this bug.